{
	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		{
			"path": "pages/index/index",
			"style": {
				// "navigationStyle": "custom",
				"enablePullDownRefresh": true
			}
		},
		
		{
			"path": "pages/contact/contact",
			"style": {
				"navigationBarTitleText": "电子名片"
			}
		},
		//******************商品模块（11）******************
		{
			"path": "pages/goods/cart",
			"style": {
				// #ifdef APP-PLUS
				"navigationStyle": "custom",
				// #endif
				"navigationBarTitleText": "购物车"
			}
		},
		{
			"path": "pages/goods/category",
			"style": {
				"disableScroll": true,
				"navigationBarTitleText": "商品分类",
				"enablePullDownRefresh": true
			}
		},

		// 商品详情
		{
			"path": "pages/goods/detail",
			"style": {
				"navigationBarTitleText": "商品详情"
			}
		},
		{
			"path": "pages/goods/list",
			"style": {
				// #ifdef APP-PLUS
				"navigationStyle": "custom",
				// #endif
				"navigationBarTitleText": "商品列表"
			}
		},

		//******************会员模块（20）******************
		{
			"path": "pages/member/index",
			"style": {
				"enablePullDownRefresh": true
			}
		},
		//******************订单模块（12）******************
		{
			"path": "pages/order/payment",
			"style": {
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/order/list",
			"style": {
				// #ifdef APP-PLUS
				"navigationStyle": "custom"
				// #endif
			}
		},
		{
			"path": "pages/order/detail",
			"style": {
				// #ifdef APP-PLUS
				"navigationStyle": "custom"
				// #endif
			}
		},
		{
			"path": "pages/order/detail_local_delivery",
			"style": {
				// #ifdef APP-PLUS
				"navigationStyle": "custom"
				// #endif
			}
		},
		{
			"path": "pages/order/detail_pickup",
			"style": {
				// #ifdef APP-PLUS
				"navigationStyle": "custom"
				// #endif
			}
		},
		//积分订单详情
		{
			"path": "pages/order/detail_point",
			"style": {
				// #ifdef APP-PLUS
				"navigationStyle": "custom"
				// #endif
			}
		}
	],
	"subPackages": [
		{

			//******************营销活动模块（26）******************
			"root": "pages_promotion",
			"pages": [
			
				//----------积分模块（2）----------
				{
					"path": "point/list",
					"style": {
						"navigationStyle": "custom"
					}
				}, {
					"path": "point/goods_list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "point/detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "point/payment",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "point/order_list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "point/result",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				
				//****************** 商户 ******************
				{
					"path": "merch/merchcategory",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom",
						// #endif
						"navigationBarTitleText": "入驻商户"
					}
				},
				{
					"path": "merch/detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom",
						// #endif
						"navigationBarTitleText": "商户首页"
					}
				},
				//****************** 分销 ******************
				{
					"path": "fenxiao/index",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/promote",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/apply",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/order",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/relation",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/order_detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/team",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/withdraw_apply",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/withdraw_list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/withdrawal_detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/promote_code",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/level",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/goods_list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/bill",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "fenxiao/ranking_list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom",
						// #endif
						"navigationBarTitleText": "排行榜"
					}
				},
				{
					"path": "fenxiao/child_fenxiao",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom",
						// #endif
						"navigationBarTitleText": "分销商"
					}
				}
			]
		},
		{
			//*****************其他模块（26）******************
			"root": "pages_tool",
			"pages": [
				{
					"path": "agreement/contenr",
					"style": {
						"navigationBarTitleText": ""
					}
				},
				{
					"path": "vr/index",
					"style": {
						"navigationBarTitleText": ""
					}
				},
				{
					"path": "webview/webview",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "index/diy",
					"style": {
						// #ifdef  MP-WEIXIN
						 // "navigationStyle": "custom",
						// #endif
						"enablePullDownRefresh": true
					}
				},
				//******************会员模块（20）******************
				{
					"path": "member/modify_face",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/account",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/account_edit",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/apply_withdrawal",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/balance",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "member/balance_detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/collection",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/coupon",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom",
						// #endif
						"disableScroll": true
					}
				},
				{
					"path": "member/contact",
					"style": {
						"navigationStyle": "custom",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "member/footprint",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/level",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/card",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/card_buy",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/card_agreement",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/level_growth_rules",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/point",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "member/point_detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/withdrawal",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/withdrawal_detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/address",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/address_edit",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/pay_password",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/cancellation",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/assets",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/cancelstatus",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/cancelsuccess",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/cancelrefuse",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "member/info",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom",
						// #endif
						"navigationBarTitleText": "个人资料"
					}
				},
				{
					"path": "member/info_edit",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				//******************登录模块******************
				{
					"path": "login/find",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},

				//******************商品模块******************
				{
					"path": "goods/coupon",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "goods/coupon_receive",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "goods/evaluate",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "goods/search",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "goods/brand",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "goods/not_exist",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},


				//******************CMS模块（6）******************
				{
					"path": "help/list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "help/detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "notice/list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "notice/detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "article/list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "article/detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				//******************会员充值（4）******************
				{
					"path": "recharge/list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom",
						// #endif
						"scrollEnabled": true // 禁止页面滚动
					}
				},
				{
					"path": "recharge/order_list",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				//******************邀请******************
				{
					"path": "member/invite_friends",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				//******************支付模块（2）******************
				{
					"path": "pay/index",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "pay/wx_pay",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "pay/result",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "pay/cashier",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "storeclose/storeclose",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				//******************订单模块（2）******************
				{
					"path": "order/logistics",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "order/evaluate",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "order/refund",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "order/refund_goods_select",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "order/refund_type_select",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "order/refund_batch",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "order/refund_detail",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				{
					"path": "order/activist",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom",
						// #endif
						"navigationBarTitleText": "退款"
					}
				},
				{
					"path": "order/detail_virtual",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				//******************登录模块（3）******************
				{
					"path": "login/login",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom",
						// #endif
						"navigationBarTitleText": "登录"
					}
				},
				{
					"path": "form/form",
					"style": {
						// #ifdef APP-PLUS
						"navigationStyle": "custom"
						// #endif
					}
				},
				//******************AI客服******************
				{
					"path": "ai-chat/index",
					"style": {	
						"navigationBarTitleText": ""
					}
				}
			]
		}
	],
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "",
		"navigationBarBackgroundColor": "#ffffff",
		"backgroundColor": "#F7f7f7",
		"backgroundColorTop": "#f7f7f7",
		"backgroundColorBottom": "#f7f7f7"
	},
	"tabBar": {
		// #ifdef H5
		"custom": true,
		// #endif
		"color": "#333",
		"selectedColor": "#FF0036",
		"backgroundColor": "#fff",
		"borderStyle": "white",
		"list": [
			{
				"pagePath": "pages/index/index",
				"text": ""
			},
			{
				"pagePath": "pages/goods/category",
				"text": ""
			},
			{
				"pagePath": "pages/contact/contact",
				"text": ""
			},
			{
				"pagePath": "pages/member/index",
				"text": ""
			}
		]
	},
	"easycom": {
		"diy-*(\\W.*)": "@/components/diy-components/diy$1.vue"
	},
	"preloadRule": {
		"pages/index/index": {
			"network": "all",
			"packages": ["pages_tool"]
		}
	}
}